Subject: [TR] Stag A/C

From: Frank Magnusson <[email-masked]>
Date: Sun, 7 Jul 2019 14:54:50 -0500

Hi Bill,

All good questions.

Most U.S. Stags have factory A/C.  I don't recall the manufacturer but its straight out of detroit, so parts should be easy to get.  If a Stag doesn't have the factory a/c, it should be easy to enough to fit either an original unit, or one from Vintage Air or other supplier.  When I got my Stag, alot of the a/c system was missing, but I was able to find all of the parts either new or used and get it operational.  It works well and blows ice cold air.

Engine problems are still there on all years but as long as you are aware of the issues and make sure they are addressed, you'll be fine.  Two main problems - water pumps and timing chains, and both problems exacerbated by some poor quality parts on the market, but as long as you are careful who you buy from and check all the parts you get, you should be fine.  But, timing chains dont last very long, and you'll end up changing them more often than you'd think.

One other item is what gearbox do you want, automatic, manual, or manual with overdrive.  There are some clutch issues with the manual boxes similar to TR6 problems, but they are fairly easily fixable.

There are some engine conversions to a Rover V8, which fixes all of those issues; just depends what you want.  TR8 V8 conversion also.

Even with its issues, the Stag is really a neat car; fun to drive, turns heads, sounds awesome with the original V8, and has a/c and 4 seats.

Hope this helps,
Frank
'72 Stag

> On Jul 7, 2019, at 1:00 PM, [email-masked] wrote:
> 
> Thinking of buying a Stag for SWMBO but it would require air conditioning.
> Can AC be efficiently installed?  
> 
> I remember the deal about engine problems during the first couple of years,
> is there a way to see if the remediation was performed if I find an early
> car?  
> 
> After what year might I be safe in trusting the original engine is OK?
> 
> 
> 
> Launching off into the dark here, any direction for self-education would be
> greatly appreciated.
> 
> 
> 
> Best,
> 
> Bill B
> 
> TS30800L

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive